Upload agent volatile knowledge from a URL
POST/api/v2/agent/:agentCode/volatileKnowledge/upload/url
Upload agent volatile knowledge from a URL
Request
Path Parameters
agentCode stringrequired
The code of the agent this volatile knowledge belongs to.
Query Parameters
culture string
Use this param to override the culture of the response. Options: - en (default) - es
- application/json
- text/json
- application/*+json
Body
Contains the file URL and upload options.
fileUrl urirequired
Possible values: non-empty
fileName stringnullable
callbackUrl urinullable
noExpiration boolean
expirationDays int32nullable
processEmbeddings boolean
Body
Contains the file URL and upload options.
fileUrl urirequired
Possible values: non-empty
fileName stringnullable
callbackUrl urinullable
noExpiration boolean
expirationDays int32nullable
processEmbeddings boolean
Body
Contains the file URL and upload options.
fileUrl urirequired
Possible values: non-empty
fileName stringnullable
callbackUrl urinullable
noExpiration boolean
expirationDays int32nullable
processEmbeddings boolean
Responses
- 200
- 400
- 401
- 403
- 404
- 500
OK
There was a validation error. Please check your request data.
- application/json
- Schema
- Example (from schema)
Schema
message stringnullable
errors
object
nullable
property name* string
{
"message": "string",
"errors": {}
}
The user is unauthorized or the session expired
The user does not have permission
If the agent is not found.
There was an unexpected error
Loading...